﻿@model List<ARGNSCrPathView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<h1 class="page-header">@CrPath.CPath</h1>

<div class="row">
    <div class="col-md-3 sidebar-secondary">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@PDM.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body" style="padding: 15px 0px;">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="">
                                <div class="panel-heading clearfix">
                                    <h3 class="panel-title">@CrPath.FilterColl</h3>
                                </div>
                                <div class="panel-body">
                                    <form class="form-horizontal row-border" action="#">
                                        <div class="form-group">
                                            <label class="col-md-4 ">@PDM.Season</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtSeasonCode", null, new { @Id = "txtSeasonCode", @placeholder = @PDM.Season, @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-4 ">@PDM.Coll</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtCollCode", null, new { @Id = "txtCollCode", @placeholder = @PDM.Coll, @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-4">@PDM.SubColl</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtSubCollCode", null, new { @Id = "txtSubCollCode", @placeholder = @PDM.SubColl, @class = "form-control" })
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="">
                                <div class="panel-heading clearfix">
                                    <h3 class="panel-title">@CrPath.FilterModel</h3>
                                </div>
                                <div class="panel-body">
                                    <form class="form-horizontal row-border" action="#">
                                        <div class="form-group">
                                            <label class="col-md-4 ">@PDM.Model</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtModelCode", null, new { @Id = "txtModelCode", @placeholder = @PDM.Desc, @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-4">@PDM.Projects</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtProjectCode", null, new { @Id = "txtProjectCode", @placeholder = @PDM.Desc, @class = "form-control" })
                                            </div>
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="">
                                <div class="panel-heading clearfix">
                                    <h3 class="panel-title">@CrPath.FilterBP</h3>
                                </div>
                                <div class="panel-body">
                                    <form class="form-horizontal row-border" action="#">
                                        <div class="form-group">
                                            <label class="col-md-4 ">@PDM.Customer</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtCustomerCode", null, new { @Id = "txtCustomerCode", @placeholder = @PDM.Customer, @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-4">@PDM.Vendor</label>
                                            <div class="col-md-8">
                                                @Html.TextBox("txtVendorCode", null, new { @Id = "txtVendorCode", @placeholder = @PDM.Vendor, @class = "form-control" })
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">@CrPath.Ref</h3>
                            </div>
                            <div class="panel-body">

                                <div class="col-md-3 col-sm-3 col-lg-3 col-xs-3">  <span class="label label-primary">@CrPath.Progress</span></div>
                                <div class="col-md-3 col-sm-3 col-lg-3 col-xs-3">  <span class="label label-success">@CrPath.Closed</span></div>
                                <div class="col-md-3 col-sm-3 col-lg-3 col-xs-3"> <span class="label label-danger">@CrPath.Expired</span></div>
                                <div class="col-md-3 col-sm-3 col-lg-3 col-xs-3">   <span class="label label-warning">@CrPath.Unplan</span></div>

                            </div>
                        </div>
                       
                    </div>

                    <div class="panel-footer">
                        <button type="button" id="btnSearch" class="btn btn-success btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PDM.Search</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="BodyCriticalPath" class="col-md-9 sidebar-data">
        @Html.Partial("_CriticalPathList", Model)
    </div>
</div>




@Scripts.Render("~/bundles/CriticalPath")
